<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{DCCBE504-5801-442E-A406-4A7099D46553}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>CCDCountWpf</RootNamespace>
    <AssemblyName>CCDCountWpf</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>x64</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>23s6k-ono7l-001.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x86\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
    <OutputPath>bin\x86\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
    <Prefer32Bit>true</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationManifest>app.manifest</ApplicationManifest>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="MvCameraControl.Net, Version=4.3.2.2, Culture=neutral, PublicKeyToken=a3c7c5e3a730cd12, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\TestWork.DLL\DLL\MvCameraControl.Net.dll</HintPath>
    </Reference>
    <Reference Include="MvFGCtrlC.Net, Version=1.0.0.0, Culture=neutral, PublicKeyToken=52fddfb3f94be800, processorArchitecture=x86">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\TestWork.DLL\DLL\MvFGCtrlC.Net.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xaml">
      <RequiredTargetFramework>4.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="WindowsBase" />
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
  </ItemGroup>
  <ItemGroup>
    <ApplicationDefinition Include="App.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </ApplicationDefinition>
    <Compile Include="PlcMessageShowBindingClass.cs" />
    <Compile Include="WpfFrom\AddUserWindow.xaml.cs">
      <DependentUpon>AddUserWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="WpfFrom\ChangeUserWindow.xaml.cs">
      <DependentUpon>ChangeUserWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="WpfFrom\SplashWindow.xaml.cs">
      <DependentUpon>SplashWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="WpfFrom\UserLoginWindow.xaml.cs">
      <DependentUpon>UserLoginWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="WpfPage\AuditTrailPage.xaml.cs">
      <DependentUpon>AuditTrailPage.xaml</DependentUpon>
    </Compile>
    <Compile Include="WpfPage\HistoryDataPage.xaml.cs">
      <DependentUpon>HistoryDataPage.xaml</DependentUpon>
    </Compile>
    <Compile Include="WpfPage\MessagePage.xaml.cs">
      <DependentUpon>MessagePage.xaml</DependentUpon>
    </Compile>
    <Compile Include="WpfPage\PlcOperationPage.xaml.cs">
      <DependentUpon>PlcOperationPage.xaml</DependentUpon>
    </Compile>
    <Compile Include="WpfPage\PlcSettingPage.xaml.cs">
      <DependentUpon>PlcSettingPage.xaml</DependentUpon>
    </Compile>
    <Compile Include="WpfPage\SettingPage.xaml.cs">
      <DependentUpon>SettingPage.xaml</DependentUpon>
    </Compile>
    <Compile Include="WpfPage\UserManagementPage.xaml.cs">
      <DependentUpon>UserManagementPage.xaml</DependentUpon>
    </Compile>
    <Page Include="WpfFrom\AddUserWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WpfFrom\ChangeUserWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WpfFrom\SplashWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WpfFrom\UserLoginWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WpfPage\AuditTrailPage.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WpfPage\HistoryDataPage.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WpfPage\MainPage.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WpfFrom\MainWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Compile Include="App.xaml.cs">
      <DependentUpon>App.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ShowBindingClass.cs" />
    <Compile Include="WpfPage\MainPage.xaml.cs">
      <DependentUpon>MainPage.xaml</DependentUpon>
    </Compile>
    <Compile Include="WpfFrom\MainWindow.xaml.cs">
      <DependentUpon>MainWindow.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Page Include="WpfPage\MessagePage.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WpfPage\PlcOperationPage.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WpfPage\PlcSettingPage.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WpfPage\SettingPage.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="WpfPage\UserManagementPage.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include="app.manifest" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\数据.png" />
    <Resource Include="FromImage\相机小_黑.png" />
    <Resource Include="FromImage\设置.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\退出.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\中断.png" />
    <Resource Include="FromImage\运行.png" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\TestWork.DLL\CCDCount.DLL.csproj">
      <Project>{e7f2647e-07d6-41f2-81fd-fa32da6d2526}</Project>
      <Name>CCDCount.DLL</Name>
    </ProjectReference>
    <ProjectReference Include="..\TestWork.MODEL\CCDCount.MODEL.csproj">
      <Project>{c230b744-cabc-4b34-80bb-2cee55a8b2b9}</Project>
      <Name>CCDCount.MODEL</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\刷新.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\暂停.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\故障.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\export.png" />
    <Resource Include="FromImage\print.png" />
    <Resource Include="FromImage\用户修改.png" />
    <Resource Include="FromImage\用户删除.png" />
    <Resource Include="FromImage\用户增加.png" />
    <Resource Include="FromImage\用户管理.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\mmexport1752891278116.jpg" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\PLC信息管理.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\菜单_灰.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\退出_灰.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\相机小_灰.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\菜单_白.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\相机小_白.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\数据_白.png" />
    <Resource Include="FromImage\设置_白.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\退出_白.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\PLC信息管理_白.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\故障_白.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\用户管理_白.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\键盘_白.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\23s6k-ono7l-001.ico" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="23s6k-ono7l-001.ico" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\审计信息审计_白.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="FromImage\操作_白.png" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="EntityFramework">
      <Version>6.5.1</Version>
    </PackageReference>
    <PackageReference Include="Microsoft.Web.WebView2">
      <Version>1.0.3485.44</Version>
    </PackageReference>
    <PackageReference Include="Stub.System.Data.SQLite.Core.NetFramework">
      <Version>1.0.119</Version>
    </PackageReference>
    <PackageReference Include="System.Data.SQLite">
      <Version>1.0.119</Version>
    </PackageReference>
    <PackageReference Include="System.Data.SQLite.Core">
      <Version>1.0.119</Version>
    </PackageReference>
    <PackageReference Include="System.Data.SQLite.EF6">
      <Version>1.0.119</Version>
    </PackageReference>
    <PackageReference Include="System.Data.SQLite.Linq">
      <Version>1.0.119</Version>
    </PackageReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>